Package com.avaya.clientservices.presence

## Enum PresenceError

- java.lang.Object
- - java.lang.Enum<PresenceError>
  - - com.avaya.clientservices.presence.PresenceError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PresenceError>`

      public enum PresenceError
      extends java.lang.Enum<PresenceError>

  Enumeration representing failure of a presence operation, for example, a failed presence request sent to the presence server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | The server rejected the request due to an authentication error.
    `CANCELLED` | The operation was cancelled.
    `INTERNAL_ERROR` | An internal error occurred.
    `INVALID_RESPONSE` | The server returned an invalid response.
    `INVALID_STATE` | The operation is not valid for the current state.
    `RETRY_LIMIT_EXCEEDED` | The request exceeded the maximum number of retries.
    `SEND_ERROR` | The network request could not be sent.
    `SERVER_ERROR` | The server rejected the request.
    `TIMEOUT` | The request timed out.
    `UNKNOWN` | An unknown error.
    `UNSUPPORTED` | The requested operation is not supported.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PresenceError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PresenceError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final PresenceError UNKNOWN

      An unknown error. If this error code is received it is a bug.

    - #### UNSUPPORTED

          public static final PresenceError UNSUPPORTED

      The requested operation is not supported.

    - #### CANCELLED

          public static final PresenceError CANCELLED

      The operation was cancelled.

    - #### INVALID_STATE

          public static final PresenceError INVALID_STATE

      The operation is not valid for the current state.

    - #### INTERNAL_ERROR

          public static final PresenceError INTERNAL_ERROR

      An internal error occurred.

    - #### SEND_ERROR

          public static final PresenceError SEND_ERROR

      The network request could not be sent.

    - #### TIMEOUT

          public static final PresenceError TIMEOUT

      The request timed out.

    - #### RETRY_LIMIT_EXCEEDED

          public static final PresenceError RETRY_LIMIT_EXCEEDED

      The request exceeded the maximum number of retries.

    - #### INVALID_RESPONSE

          public static final PresenceError INVALID_RESPONSE

      The server returned an invalid response.

    - #### AUTHENTICATION_ERROR

          public static final PresenceError AUTHENTICATION_ERROR

      The server rejected the request due to an authentication error.

    - #### SERVER_ERROR

          public static final PresenceError SERVER_ERROR

      The server rejected the request.

  - ### Method Detail

    - #### values

          public static PresenceError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceError c : PresenceError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null